/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;

/**
 *
 * @author Administrador
 */
public interface DiagramaAutobusService {

	public List<DiagramaAutobus> obtenerTodos();

    public DiagramaAutobus obtenerID(Short id);

    public DiagramaAutobus suscribir(DiagramaAutobus entidad);

    public DiagramaAutobus actualizacion(DiagramaAutobus entidad);

    public void borrar(DiagramaAutobus entidad);
	
    public List<DiagramaAutobus> buscar(String descDiagrama, Short maxparados, Short cantasientos);

    public List<DiagramaAutobus> buscar(String descDiagrama);
}
